# kede-react-uikit

> kede react UI 组件库

![private](https://img.shields.io/badge/only%20in-kede-red.svg) 
![buildStatus](https://img.shields.io/badge/build-passing-green.svg) 
![JavaScript Style Guide](https://img.shields.io/badge/code%20style-styled--components-green.svg)

## Install
**首先切换到公司npm源下**
```bash
npm install --save kede-react-uikit
```

## Usage
> 数据结构见此：http://192.168.117.183/KedeFE/kede-react-uikit/tree/master/docs/mockData

```jsx
import React, { Component, Fragment } from 'react'

import {
    Banner_1 as BannerDotted,
    Banner_2 as BannerArrow,
    Image_1 as Image1,
    Image_2 as Image2,
    Image_3 as Image3,
    Image_4 as Image4,
    Image_5 as Image5,
    Image_6 as Image6
} from 'kede-react-uikit';

class Example extends Component {
  render () {
    return (
      <Fragment>
        <BannerDotted  {...BANNER_DATA}/>
        <BannerArrow {...BANNER_DATA} />
        <ImageSix {...IMAGE_6_DATA}></ImageSix>
        <ImageFive {...IMAGE_5_DATA}></ImageFive>
        <ImageFour {...IMAGE_4_DATA}></ImageFour>
        <ImageThree {...IMAGE_3_DATA}></ImageThree>
        <ImageTwo {...IMAGE_2_DATA}></ImageTwo>
        <ImageOne {...IMAGE_1_DATA}></ImageOne>
      </Fragment>
    )
  }
}
```

## License

MIT © [Zhuliang](https://github.com/ArtechChu)
